<div class="col-8  mt-3 mx-auto">
  <h2>{{pageTitle}} <i class="fas fa-pen"></i></h2>
  <hr>
  <div class="col-6 mx-auto">
    <div class="alert alert-success" *ngIf="status=='success'">Usuario registrado con éxito</div>
    <div class="alert alert-danger" *ngIf="status=='error'">Error al registrar el usuario</div>
    <form #formRegister="ngForm" (ngSubmit)="onSubmit(formRegister)">
      <div class="form-group">
          <label for="name">Nombre</label>
          <input type="text" id="name" name="name" #name="ngModel" [(ngModel)]="user.name" class="form-control" pattern="[a-zA-ZÀ-ÿ ]+" required>
          <div class="invalid-feedback d-block" *ngIf="name.invalid && name.touched">El nombre no es válido</div>
      </div>
      <div class="form-group">
          <label for="surname">Apellidos</label>
          <input type="text" id="surname" name="surname" #surname="ngModel" [(ngModel)]="user.surname" class="form-control" pattern="[a-zA-ZÀ-ÿ ]+">
          <div class="invalid-feedback d-block" *ngIf="surname.invalid && surname.touched">Los apellidos no son válidos</div>
      </div>
      <div class="form-group">
          <label for="email">E-mail</label>
          <input type="email" id="email" name="email" #email="ngModel" [(ngModel)]="user.email" class="form-control"  pattern="[a-z0-9._%+-]+@[a-z0-9.-]+\.[a-z]{2,4}$"  required>
          <div class="invalid-feedback d-block" *ngIf="email.invalid && email.touched">El e-mail no es válido</div>
      </div>
      <div class="form-group">
          <label for="password">Contraseña</label>
          <input type="password" id="password" name="password" #password="ngModel" [(ngModel)]="user.password"
           class="form-control" pattern=".{5,}" placeholder="(5 caracteres mínimo)" required>
          <div class="invalid-feedback d-block" *ngIf="password.invalid && password.touched">La contraseña no es válida</div>
      </div>
      <div class="form-group">
          <label for="description">Descripción</label>
          <textarea name="description" id="description" #description="ngModel" [(ngModel)]="user.description" cols="10"
            rows="10" class="form-control">
        </textarea>
      </div>
      <p>
        <button type="submit" class="btn btn-success" [disabled]="formRegister.form.invalid">{{pageTitle}}</button>
      </p>
    </form>
  </div>
</div>